﻿using UnityEngine;
using System.Collections;
using UnityEditor;

// ** created by following the Creating An In-Game Shop Unity tutorial **
public class CreatePotion {

    [MenuItem("Assets/Create/New Potion")] // can create this by going assets > create > new potion
    public static void MakePotion() {
        PotionObject potion = ScriptableObject.CreateInstance<PotionObject>();
        AssetDatabase.CreateAsset(potion, "Assets/NewPotion.asset"); // we can edit fields in inspector
        AssetDatabase.SaveAssets();
        EditorUtility.FocusProjectWindow();
        Selection.activeObject = potion; // able to highlight it
    }

}
